#ifndef CMWCOMPEAP_H
#define CMWCOMPEAP_H

#include "cmwidget.h"
#include "ui_cmwcompeap.h"

class CMWCompEap : public CMWidget
{
	Q_OBJECT

public:
	CMWCompEap(QWidget *parent = 0);
	~CMWCompEap();

private slots:
    void on_pushButton_clicked();

    void on_btnEapInit_clicked();

    void on_btnSettingEap_clicked();
    void On_RecvEAPChanged();

    void on_btnEapAlarmReset_clicked();

    void on_btnEapAlarm_clicked();

    void on_btnEapSend_clicked();

private:
	Ui::CMWCompEap* ui;

    // CMWidget interface
public:
    virtual void MInit() override;
    virtual void MTimeFresh() override;
    virtual void MFresh() override;
    virtual void MApply() override;
};

#endif // CMWCOMPEAP_H
